- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# JobOption Class Reference

the JobOption class. More...

`#include <OSOption.h>`

Collaboration diagram for JobOption:

[legend]
List of all members.

## Public Member Functions
| JobOption ()
| Default constructor.
| ~JobOption ()
| Class destructor.
bool | IsEqual (JobOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
TimeSpan * | maxTime
| the maximum time allowed
std::string | requestedStartTime
| the requested time to start the job
JobDependencies * | dependencies
| the dependency set
DirectoriesAndFiles * | requiredDirectories
| directories required to run the job
DirectoriesAndFiles * | requiredFiles
| files required to run the job
DirectoriesAndFiles * | directoriesToMake
| directories to make during the job
DirectoriesAndFiles * | filesToMake
| files to make during the job
PathPairs * | inputDirectoriesToMove
| input directories to move or copy
PathPairs * | inputFilesToMove
| input files to move or copy
PathPairs * | outputFilesToMove
| output files to move or copy
PathPairs * | outputDirectoriesToMove
| output directories to move or copy
DirectoriesAndFiles * | filesToDelete
| files to delete upon completion
DirectoriesAndFiles * | directoriesToDelete
| directories to delete upon completion
Processes * | processesToKill
| processes to kill upon completion
OtherOptions * | otherOptions
| list of other job options

## Detailed Description

the JobOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 962 of file OSOption.h.

## Constructor & Destructor Documentation

JobOption::JobOption | ( |  | ) |

Default constructor.

Definition at line 374 of file OSOption.cpp.

References dependencies, directoriesToDelete, directoriesToMake, filesToDelete, filesToMake, inputDirectoriesToMove, inputFilesToMove, maxTime, otherOptions, outputDirectoriesToMove, outputFilesToMove, processesToKill, requiredDirectories, and requiredFiles.

JobOption::~JobOption | ( |  | ) |

Class destructor.

Definition at line 396 of file OSOption.cpp.

References dependencies, directoriesToDelete, directoriesToMake, filesToDelete, filesToMake, inputDirectoriesToMove, inputFilesToMove, maxTime, otherOptions, outputDirectoriesToMove, outputFilesToMove, processesToKill, requiredDirectories, and requiredFiles.

## Member Function Documentation

bool JobOption::IsEqual | ( | JobOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 8227 of file OSOption.cpp.

References dependencies, directoriesToDelete, directoriesToMake, filesToDelete, filesToMake, inputDirectoriesToMove, inputFilesToMove, maxTime, otherOptions, outputDirectoriesToMove, outputFilesToMove, processesToKill, requestedStartTime, requiredDirectories, and requiredFiles.

bool JobOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10345 of file OSOption.cpp.

References dependencies, directoriesToDelete, directoriesToMake, filesToDelete, filesToMake, inputDirectoriesToMove, inputFilesToMove, maxTime, OSRand(), otherOptions, outputDirectoriesToMove, outputFilesToMove, processesToKill, requestedStartTime, requiredDirectories, requiredFiles, OtherOptions::setRandom(), Processes::setRandom(), PathPairs::setRandom(), DirectoriesAndFiles::setRandom(), JobDependencies::setRandom(), and TimeSpan::setRandom().

Referenced by OSOption::setRandom().

## Member Data Documentation

TimeSpan* JobOption::maxTime

the maximum time allowed

Definition at line 966 of file OSOption.h.

Referenced by OSOption::getMaxTime(), OSOption::getMaxTimeUnit(), IsEqual(), JobOption(), OSOption::setMaxTime(), OSOption::setMaxTimeUnit(), setRandom(), and ~JobOption().

std::string JobOption::requestedStartTime

the requested time to start the job

Definition at line 969 of file OSOption.h.

Referenced by OSOption::getRequestedStartTime(), IsEqual(), setRandom(), and OSOption::setRequestedStartTime().

JobDependencies* JobOption::dependencies

the dependency set

Definition at line 972 of file OSOption.h.

Referenced by OSOption::getJobDependencies(), OSOption::getNumberOfJobDependencies(), IsEqual(), JobOption(), OSOption::setAnotherJobDependency(), OSOption::setJobDependencies(), setRandom(), and ~JobOption().

DirectoriesAndFiles* JobOption::requiredDirectories

directories required to run the job

Definition at line 975 of file OSOption.h.

Referenced by OSOption::getNumberOfRequiredDirectories(), OSOption::getRequiredDirectories(), IsEqual(), JobOption(), OSOption::setAnotherRequiredDirectory(), setRandom(), OSOption::setRequiredDirectories(), and ~JobOption().

DirectoriesAndFiles* JobOption::requiredFiles

files required to run the job

Definition at line 978 of file OSOption.h.

Referenced by OSOption::getNumberOfRequiredFiles(), OSOption::getRequiredFiles(), IsEqual(), JobOption(), OSOption::setAnotherRequiredFile(), setRandom(), OSOption::setRequiredFiles(), and ~JobOption().

DirectoriesAndFiles* JobOption::directoriesToMake

directories to make during the job

Definition at line 981 of file OSOption.h.

Referenced by OSOption::getDirectoriesToMake(), OSOption::getNumberOfDirectoriesToMake(), IsEqual(), JobOption(), OSOption::setAnotherDirectoryToMake(), OSOption::setDirectoriesToMake(), setRandom(), and ~JobOption().

DirectoriesAndFiles* JobOption::filesToMake

files to make during the job

Definition at line 984 of file OSOption.h.

Referenced by OSOption::getFilesToMake(), OSOption::getNumberOfFilesToMake(), IsEqual(), JobOption(), OSOption::setAnotherFileToMake(), OSOption::setFilesToMake(), setRandom(), and ~JobOption().

PathPairs* JobOption::inputDirectoriesToMove

input directories to move or copy

Definition at line 987 of file OSOption.h.

Referenced by OSOption::getInputDirectoriesToMove(), OSOption::getNumberOfInputDirectoriesToMove(), IsEqual(), JobOption(), OSOption::setAnotherInputDirectoryToMove(), OSOption::setInputDirectoriesToMove(), OSOption::setPathPairs(), setRandom(), and ~JobOption().

PathPairs* JobOption::inputFilesToMove

input files to move or copy

Definition at line 990 of file OSOption.h.

Referenced by OSOption::getInputFilesToMove(), OSOption::getNumberOfInputFilesToMove(), IsEqual(), JobOption(), OSOption::setAnotherInputFileToMove(), OSOption::setInputFilesToMove(), OSOption::setPathPairs(), setRandom(), and ~JobOption().

PathPairs* JobOption::outputFilesToMove

output files to move or copy

Definition at line 993 of file OSOption.h.

Referenced by OSOption::getNumberOfOutputFilesToMove(), OSOption::getOutputFilesToMove(), IsEqual(), JobOption(), OSOption::setAnotherOutputFileToMove(), OSOption::setOutputFilesToMove(), OSOption::setPathPairs(), setRandom(), and ~JobOption().

PathPairs* JobOption::outputDirectoriesToMove

output directories to move or copy

Definition at line 996 of file OSOption.h.

Referenced by OSOption::getNumberOfOutputDirectoriesToMove(), OSOption::getOutputDirectoriesToMove(), IsEqual(), JobOption(), OSOption::setAnotherOutputDirectoryToMove(), OSOption::setOutputDirectoriesToMove(), OSOption::setPathPairs(), setRandom(), and ~JobOption().

DirectoriesAndFiles* JobOption::filesToDelete

files to delete upon completion

Definition at line 999 of file OSOption.h.

Referenced by OSOption::getFilesToDelete(), OSOption::getNumberOfFilesToDelete(), IsEqual(), JobOption(), OSOption::setAnotherFileToDelete(), OSOption::setFilesToDelete(), setRandom(), and ~JobOption().

DirectoriesAndFiles* JobOption::directoriesToDelete

directories to delete upon completion

Definition at line 1002 of file OSOption.h.

Referenced by OSOption::getDirectoriesToDelete(), OSOption::getNumberOfDirectoriesToDelete(), IsEqual(), JobOption(), OSOption::setAnotherDirectoryToDelete(), OSOption::setDirectoriesToDelete(), setRandom(), and ~JobOption().

Processes* JobOption::processesToKill

processes to kill upon completion

Definition at line 1005 of file OSOption.h.

Referenced by OSOption::getNumberOfProcessesToKill(), OSOption::getProcessesToKill(), IsEqual(), JobOption(), OSOption::setAnotherProcessToKill(), OSOption::setProcessesToKill(), setRandom(), and ~JobOption().

OtherOptions* JobOption::otherOptions

list of other job options

Definition at line 1008 of file OSOption.h.

Referenced by OSOption::getNumberOfOtherJobOptions(), OSOption::getOtherJobOptions(), IsEqual(), JobOption(), OSOption::setAnOtherJobOption(), OSOption::setOtherJobOptions(), setRandom(), and ~JobOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp